db-derby-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From chaa...@apache.org
Subject svn commit: r1398312 - in /db/derby/docs/trunk: ./ src/adminguide/ src/devguide/ src/getstart/ src/ref/ src/tools/
Date Mon, 15 Oct 2012 14:43:55 GMT
Author: chaase3
Date: Mon Oct 15 14:43:54 2012
New Revision: 1398312

URL: http://svn.apache.org/viewvc?rev=1398312&view=rev
Log:
DERBY-5938  Documentation says Derby works with Java 1.4.2

Modified 4 Getting Started, 6 Developer's Guide, 1 Tools Guide, 2 Admin Guide, and 4 Reference
Manual topics (and two map files). Also modified the docs.properties and build.xml files.

Patch: DERBY-5938.diff

Modified:
    db/derby/docs/trunk/build.xml
    db/derby/docs/trunk/docs.properties
    db/derby/docs/trunk/src/adminguide/cadminapps811695.dita
    db/derby/docs/trunk/src/adminguide/cadminappsthenetworkserverandjvms.dita
    db/derby/docs/trunk/src/adminguide/derbyadmin.ditamap
    db/derby/docs/trunk/src/devguide/cdevdvlp40653.dita
    db/derby/docs/trunk/src/devguide/cdevstandardsxml.dita
    db/derby/docs/trunk/src/devguide/cdevstart18978.dita
    db/derby/docs/trunk/src/devguide/derbydev.ditamap
    db/derby/docs/trunk/src/devguide/rdevconcepts713.dita
    db/derby/docs/trunk/src/devguide/rdevprocsqle.dita
    db/derby/docs/trunk/src/devguide/rdevresman79556.dita
    db/derby/docs/trunk/src/getstart/cgsintsr.dita
    db/derby/docs/trunk/src/getstart/cgstutorialintro.dita
    db/derby/docs/trunk/src/getstart/tgssetupjavaenvir.dita
    db/derby/docs/trunk/src/getstart/tgssetupverify.dita
    db/derby/docs/trunk/src/ref/rrefapi1003363.dita
    db/derby/docs/trunk/src/ref/rrefattribderegister.dita
    db/derby/docs/trunk/src/ref/rrefjavsqlprst.dita
    db/derby/docs/trunk/src/ref/rrefsysxplain_statements.dita
    db/derby/docs/trunk/src/tools/ctools1003034.dita

Modified: db/derby/docs/trunk/build.xml
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/build.xml?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/build.xml (original)
+++ db/derby/docs/trunk/build.xml Mon Oct 15 14:43:54 2012
@@ -262,6 +262,7 @@ limitations under the License.
       <filterset>
         <filter token="COPYRIGHT_YEAR" value="${copyright.year}"/>
         <filter token="RELEASE_ID_SHORT" value="${release.id.short}"/>
+        <filter token="MINIMUM_JDK" value="${minimum.jdk}"/>
       </filterset>
     </copy>
   </target>

Modified: db/derby/docs/trunk/docs.properties
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/docs.properties?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/docs.properties (original)
+++ db/derby/docs/trunk/docs.properties Mon Oct 15 14:43:54 2012
@@ -14,4 +14,5 @@ pipeline.artifacts=${basedir}
 pipeline.devguide=${pipeline.artifacts}/devguide
 copyright.year=2012
 release.id.short=10.10
+minimum.jdk=5
 args.csspath=

Modified: db/derby/docs/trunk/src/adminguide/cadminapps811695.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/adminguide/cadminapps811695.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/adminguide/cadminapps811695.dita (original)
+++ db/derby/docs/trunk/src/adminguide/cadminapps811695.dita Mon Oct 15 14:43:54 2012
@@ -28,9 +28,8 @@ Server</indexterm></indexterm><indexterm
 <p>To use the encrypted user ID and password security mechanism,
 you need a Java environment with a JCE (Java Cryptography Extension)
 which supports the Diffie-Hellman algorithm with a public prime of
-256 bits. The Sun Java Platform, Standard Edition (Java SE), Version
-1.4 and later requires a public prime of 512 bits or
-more.</p>
+256 bits. The Java Platform, Standard Edition (Java SE) requires a public prime
+of 512 bits or more.</p>
 <p>To use the encrypted user id and password security mechanism during
 JDBC connection using the network client, specify the <codeph>securityMechanism</codeph>
in
 the connection property. <note>If an encrypted database is booted in

Modified: db/derby/docs/trunk/src/adminguide/cadminappsthenetworkserverandjvms.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/adminguide/cadminappsthenetworkserverandjvms.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/adminguide/cadminappsthenetworkserverandjvms.dita (original)
+++ db/derby/docs/trunk/src/adminguide/cadminappsthenetworkserverandjvms.dita Mon Oct 15 14:43:54
2012
@@ -20,12 +20,12 @@ limitations under the License.
  "../dtd/concept.dtd">
 
 <concept id="cadminappsthenetworkserverandjvms" xml:lang="en-us">
-<title>The Network Server and JVMs</title>
+<title>The Network Server and Java Virtual Machines (JVMs)</title>
 <prolog></prolog>
 <conbody>
 <p>The <ph conref="../conrefs.dita#prod/productshortname"></ph> Network
Server
-is compatible with Java Platform, Standard Edition, v 1.4.2
-(J2SE) and above.</p>
+is compatible with Java Platform, Standard Edition (Java SE) @MINIMUM_JDK@
+and above.</p>
 </conbody>
 </concept>
 

Modified: db/derby/docs/trunk/src/adminguide/derbyadmin.ditamap
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/adminguide/derbyadmin.ditamap?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/adminguide/derbyadmin.ditamap (original)
+++ db/derby/docs/trunk/src/adminguide/derbyadmin.ditamap Mon Oct 15 14:43:54 2012
@@ -186,7 +186,7 @@
 </topicref>
 </topicref>
 <topicref collection-type="family" href="cadminapps59125.dita" navtitle="Using the Network
Server with preexisting Derby applications">
-<topicref href="cadminappsthenetworkserverandjvms.dita" navtitle="The Network Server and
JVMs">
+<topicref href="cadminappsthenetworkserverandjvms.dita" navtitle="The Network Server and
Java Virtual Machines (JVMs)">
 </topicref>
 <topicref href="tadminappschangingyourclasspath.dita" navtitle="Installing required jar
files and adding them to the classpath">
 </topicref>

Modified: db/derby/docs/trunk/src/devguide/cdevdvlp40653.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/devguide/cdevdvlp40653.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/devguide/cdevdvlp40653.dita (original)
+++ db/derby/docs/trunk/src/devguide/cdevdvlp40653.dita Mon Oct 15 14:43:54 2012
@@ -22,7 +22,7 @@ limitations under the License.
 <title>Derby JDBC driver</title>
 <shortdesc><ph conref="../conrefs.dita#prod/productshortname"></ph> consists
 of both the database engine and an embedded JDBC driver. Applications use
-JDBC to interact with a database. Applications running on JDK 5 or earlier
+JDBC to interact with a database. Applications running on JDK 5
 must load the driver in order to work with the database.</shortdesc>
 <prolog><metadata>
 <keywords><indexterm>JDBC driver<indexterm>description</indexterm></indexterm>

Modified: db/derby/docs/trunk/src/devguide/cdevstandardsxml.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/devguide/cdevstandardsxml.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/devguide/cdevstandardsxml.dita (original)
+++ db/derby/docs/trunk/src/devguide/cdevstandardsxml.dita Mon Oct 15 14:43:54 2012
@@ -74,7 +74,7 @@ processor is missing from the classpath,
 <ph conref="../conrefs.dita#prod/productshortname"></ph> disallows any XML-related
 operations.  </p>
 <section><title>Classpath and version issues</title>
-<p>Most Java Virtual Machines (JVMs) that are version 1.6 or later,
+<p>Most Java Virtual Machines (JVMs) that are version 6 or later
 have the required libraries embedded in the JVM. If you are using one
 of these JVMs, you may not need to add any classes to your classpath.
 </p>
@@ -88,8 +88,8 @@ Some JVMs include a version of Xalan tha
 JVM comes with a too old version of Xalan, you may need to override
 the version of Xalan in the JVM with a
 newer version by using the Endorsed Standards Override Mechanism described at
-<xref format="html" href="http://download.oracle.com/javase/1.4.2/docs/guide/standards/"
-scope="external">http://download.oracle.com/javase/1.4.2/docs/guide/standards/</xref>.
To
+<xref format="html" href="http://download.oracle.com/javase/1.5.0/docs/guide/standards/"
+scope="external">http://download.oracle.com/javase/1.5.0/docs/guide/standards/</xref>.
To
 use this mechanism, download and install a binary distribution of Xalan from
 Apache and set the system property <codeph>java.endorsed.dirs</codeph> to point
 to the Xalan installation directory.

Modified: db/derby/docs/trunk/src/devguide/cdevstart18978.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/devguide/cdevstart18978.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/devguide/cdevstart18978.dita (original)
+++ db/derby/docs/trunk/src/devguide/cdevstart18978.dita Mon Oct 15 14:43:54 2012
@@ -19,10 +19,10 @@ See the License for the specific languag
 limitations under the License.
 -->
 <concept id="cdevstart18978" xml:lang="en-us">
-<title>Derby and JVMs</title>
+<title>Derby and Java Virtual Machines (JVMs)</title>
 <shortdesc><ph conref="../conrefs.dita#prod/productshortname"></ph> is
a database
-engine written completely in Java; it will run in any JVM, version 1.4 or
-higher.</shortdesc>
+engine written completely in the Java programming language; it will run in any
+JVM that is version @MINIMUM_JDK@ or higher.</shortdesc>
 <prolog><metadata>
 <keywords><indexterm>JVMs (Java Virtual Machines)<indexterm>verified for
Derby</indexterm></indexterm>
 </keywords>

Modified: db/derby/docs/trunk/src/devguide/derbydev.ditamap
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/devguide/derbydev.ditamap?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/devguide/derbydev.ditamap (original)
+++ db/derby/docs/trunk/src/devguide/derbydev.ditamap Mon Oct 15 14:43:54 2012
@@ -336,7 +336,7 @@ limitations under the License.
 </relcell>
 <relcell>
 <topicref href="cdevstart41260.dita" navtitle="UNIX-specific issues"></topicref>
-<topicref href="cdevstart18978.dita" navtitle="Derby and JVMs"></topicref>
+<topicref href="cdevstart18978.dita" navtitle="Derby and Java Virtual Machines (JVMs)"></topicref>
 </relcell>
 </relrow>
 <relrow>

Modified: db/derby/docs/trunk/src/devguide/rdevconcepts713.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/devguide/rdevconcepts713.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/devguide/rdevconcepts713.dita (original)
+++ db/derby/docs/trunk/src/devguide/rdevconcepts713.dita Mon Oct 15 14:43:54 2012
@@ -83,7 +83,8 @@ accessing the same <ph conref="../conref
 Each user application has its own connection or connections to the database.</p></entry>
 <entry colname="2">Not possible. Only one application can access a database
 at a time, and only one application can access a specific system at a time.
-When using a pre-1.4 JVM, <ph conref="../conrefs.dita#prod/productshortname"></ph>
might
+If <ph conref="../conrefs.dita#prod/productshortname"></ph> is running on a
+small device platform and presenting the JSR 169 interface to clients, it might
 not prevent multiple applications from concurrently accessing the same <ph
 conref="../conrefs.dita#prod/productshortname"></ph> system, but do not allow
 this because such access can corrupt the databases involved.</entry>

Modified: db/derby/docs/trunk/src/devguide/rdevprocsqle.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/devguide/rdevprocsqle.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/devguide/rdevprocsqle.dita (original)
+++ db/derby/docs/trunk/src/devguide/rdevprocsqle.dita Mon Oct 15 14:43:54 2012
@@ -47,8 +47,8 @@ static void SQLExceptionPrint(SQLExcepti
         sqle = sqle.getNextException();
     }
 }</codeblock></example>
-<section><p>
-If your application runs on JDK 1.4 or higher, then the <i>SQLException</i>
+<section>
+<p>The <i>SQLException</i>
 may wrap another, triggering exception, like an <i>IOException</i>. To inspect
 this additional, wrapped error, call the <i>SQLException</i>'s <i>getCause</i>
method.
 </p></section>

Modified: db/derby/docs/trunk/src/devguide/rdevresman79556.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/devguide/rdevresman79556.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/devguide/rdevresman79556.dita (original)
+++ db/derby/docs/trunk/src/devguide/rdevresman79556.dita Mon Oct 15 14:43:54 2012
@@ -35,12 +35,13 @@ defined by the JDBC API.</shortdesc>
 <refbody>
 <section>
 <p>
-Applications that run on the J2SE 1.4 or 1.5 platform <b>must</b> use the first

-variant. Applications that run on the Java SE 6 platform can use either of the 
+Applications that run on the Java SE 5 platform <b>must</b> use the first 
+variant. Applications that run on platforms later than Java SE 5 can use either
+of the 
 two variants. However, the <i>DataSource</i> methods specific to the JDBC 4 API

 are available only from the second variant (the one whose class name ends with "40").</p>
 <p>
-If an application is running on the Java SE 6 platform, all connection objects 
+If an application is running a platform later than Java SE 5, all connection objects 
 returned from the <i>DataSource</i> will be JDBC 4 connection objects, 
 regardless of which <i>DataSource</i> variant is in use.</p>
 <p>

Modified: db/derby/docs/trunk/src/getstart/cgsintsr.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/getstart/cgsintsr.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/getstart/cgsintsr.dita (original)
+++ db/derby/docs/trunk/src/getstart/cgsintsr.dita Mon Oct 15 14:43:54 2012
@@ -24,7 +24,8 @@ limitations under the License.
 engine written completely in the Java programming language. The database will run in any
certified
 Java Virtual Machine (JVM).</shortdesc>
 <conbody>
-<p>You must have a Java Development Kit (JDK) version 1.4 or higher installed on your
computer.
+<p>You must have a Java Development Kit (JDK) version @MINIMUM_JDK@ or higher
+installed on your computer.
 The JDK is required to perform the activities in the <xref
 href="cgstutorialintro.dita#cgstutorialintro"></xref>. </p>
 <p>To check that the correct version of the JDK is installed, issue the <codeph>java

Modified: db/derby/docs/trunk/src/getstart/cgstutorialintro.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/getstart/cgstutorialintro.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/getstart/cgstutorialintro.dita (original)
+++ db/derby/docs/trunk/src/getstart/cgstutorialintro.dita Mon Oct 15 14:43:54 2012
@@ -48,7 +48,8 @@ a Windows command prompt.  </p><p>This t
 teach, the Java, JDBC and SQL code that is presented. If you want a deeper
 understanding of these topics, you will need to consult additional reference
 materials.</p><p>To perform the tutorial activities, you must have: <ul>
-<li>A Java Development Kit (JDK) version 1.4 or higher installed on your computer</li>
+<li>A Java Development Kit (JDK) version @MINIMUM_JDK@ or higher installed on
+your computer</li>
 <li>The binary (<codeph>bin</codeph>) installation of <ph conref="../conrefs.dita#prod/productlongname"></ph>
version <ph
 conref="../conrefs.dita#vers/shortversionnumber"></ph> installed on your computer</li>
 <li>A basic knowledge of the computer command line interface:<ul>

Modified: db/derby/docs/trunk/src/getstart/tgssetupjavaenvir.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/getstart/tgssetupjavaenvir.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/getstart/tgssetupjavaenvir.dita (original)
+++ db/derby/docs/trunk/src/getstart/tgssetupjavaenvir.dita Mon Oct 15 14:43:54 2012
@@ -92,8 +92,8 @@ conref="../conrefs.dita#prod/productinst
 </info>
 </step>
 <step><cmd>Be certain that the <codeph>java</codeph> executable file,
version
-1.4.2 or higher, is in your command execution PATH. Open a command window and run
-the <codeph>java -version</codeph> command.</cmd></step>
+@MINIMUM_JDK@ or higher, is in your command execution PATH. Open a command
+window and run the <codeph>java -version</codeph> command.</cmd></step>
 <step><cmd>Add the <codeph><ph conref="../conrefs.dita#prod/productinstallpath"></ph>/bin</codeph>
directory
 to the PATH environment variable so that you can run the <ph conref="../conrefs.dita#prod/productshortname"></ph>
scripts
 from any directory, as shown in the following table.</cmd>

Modified: db/derby/docs/trunk/src/getstart/tgssetupverify.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/getstart/tgssetupverify.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/getstart/tgssetupverify.dita (original)
+++ db/derby/docs/trunk/src/getstart/tgssetupverify.dita Mon Oct 15 14:43:54 2012
@@ -36,18 +36,17 @@ with Derby activities</indexterm></index
 <context> <p>To check the <ph conref="../conrefs.dita#prod/productshortname"></ph>
system
 configuration:</p></context>
 <steps>
-<step><cmd>Verify that the <codeph>java</codeph> executable file,
version 1.4.2 or,
-higher is in your command execution PATH by opening a command window and running
-the <codeph>java -version</codeph> command.</cmd><stepresult>The
output from
-the command looks something like this:
-<codeblock><systemoutput>java version &quot;1.6.0_24&quot;  
-Java(TM) SE Runtime Environment (build 1.6.0_24-b07)  
-Java HotSpot(TM) Client VM (build 19.1-b02, mixed mode, sharing)</systemoutput></codeblock>
-The
-output you see might be different from what is shown here because the <codeph>java
--version</codeph> command outputs vendor-specific information. If the command
-produces an error or the version listed is not 1.4 or higher, install a JDK
-before continuing.</stepresult></step>
+<step><cmd>Verify that the <codeph>java</codeph> executable file,
version
+@MINIMUM_JDK@ or higher, is in your command execution PATH by opening a command
+window and running the <codeph>java -version</codeph> command.</cmd>
+<stepresult>The output from the command looks something like this:
+<codeblock><systemoutput>java version &quot;1.7.0_07&quot;  
+Java(TM) SE Runtime Environment (build 1.7.0_07-b10)  
+Java HotSpot(TM) Client VM (build 23.3-b01, mixed mode, sharing)</systemoutput></codeblock>
+The output you see might be different from what is shown here because the
+<codeph>java -version</codeph> command outputs vendor-specific information. If
+the command produces an error or the version listed is not @MINIMUM_JDK@ or
+higher, install a JDK before continuing.</stepresult></step>
 <step><cmd>Verify that the  <ph conref="../conrefs.dita#prod/productinstallpath"></ph>

 environment variable is set and points to the root directory of the  <ph conref="../conrefs.dita#prod/productshortname"></ph>&nbsp;<ph
 conref="../conrefs.dita#vers/shortversionnumber"></ph>  installation. Open

Modified: db/derby/docs/trunk/src/ref/rrefapi1003363.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/ref/rrefapi1003363.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/ref/rrefapi1003363.dita (original)
+++ db/derby/docs/trunk/src/ref/rrefapi1003363.dita Mon Oct 15 14:43:54 2012
@@ -42,8 +42,8 @@ see the <cite><ph
 conref="../conrefs.dita#pub/citdevelop"></ph></cite>.   </p>
 <p>
 Each of these classes has two variants. Use the first variant if your
-application runs on JDK 1.5 or lower. Use the second variant (the one
-ending in "40") if your application runs on JDK 1.6 or higher.
+application runs on JDK 5. Use the second variant (the one
+ending in "40") if your application runs on JDK 6 or higher.
 </p>
 <p>Embedded
 environment:<ul>

Modified: db/derby/docs/trunk/src/ref/rrefattribderegister.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/ref/rrefattribderegister.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/ref/rrefattribderegister.dita (original)
+++ db/derby/docs/trunk/src/ref/rrefattribderegister.dita Mon Oct 15 14:43:54 2012
@@ -38,12 +38,13 @@ garbage-collected.</p>
 <ul>
 <li>Call the method
 <i>Class.forName("org.apache.derby.jdbc.EmbeddedDriver").newInstance()</i>.
-This mechanism works on all Java Virtual Machines (JVMs) from JDK 1.4 up.</li>
+This mechanism works on all supported Java Virtual Machines (JVMs) (that is,
+JDK 5 and up).</li>
 <li>Set <i>-Djdbc.drivers=org.apache.derby.jdbc.EmbeddedDriver</i> when
you
 boot the <ph conref="../conrefs.dita#prod/productshortname"></ph> engine's VM,
 then call
 <i><xref href="rrefjdbc34565.dita#rrefjdbc34565">DriverManager.getConnection()</xref></i>.
-This mechanism also works on all JVMs from JDK 1.4 up.</li>
+This mechanism also works on all supported JVMs.</li>
 <li>Simply call <i>DriverManager.getConnection()</i>. This mechanism works
only
 on JDK 6 and up.</li>
 </ul>

Modified: db/derby/docs/trunk/src/ref/rrefjavsqlprst.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/ref/rrefjavsqlprst.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/ref/rrefjavsqlprst.dita (original)
+++ db/derby/docs/trunk/src/ref/rrefjavsqlprst.dita Mon Oct 15 14:43:54 2012
@@ -46,7 +46,7 @@ the <i>setNCharacterStream</i> method or
 method.</note>
 <p>JDBC 3.0 requires that you specify the length of the
 stream, and <ph conref="../conrefs.dita#prod/productshortname"></ph> enforces
-this requirement if your application runs on JDK 5 or earlier. If your application
+this requirement if your application runs on JDK 5. If your application
 runs on JDK 6 or later, <ph conref="../conrefs.dita#prod/productshortname"></ph>
 exposes a JDBC 4.0 implementation, which lets you use the streaming interfaces
 without having to specify the stream length.</p>

Modified: db/derby/docs/trunk/src/ref/rrefsysxplain_statements.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/ref/rrefsysxplain_statements.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/ref/rrefsysxplain_statements.dita (original)
+++ db/derby/docs/trunk/src/ref/rrefsysxplain_statements.dita Mon Oct 15 14:43:54 2012
@@ -104,10 +104,10 @@ indicating the statement was a comment.<
 <entry colname="2">VARCHAR</entry>
 <entry colname="3">32,672</entry>
 <entry colname="4">false</entry>
-<entry colname="5">A code indicating what version of the JVM was running
-    when this statement was captured: <i>'4'</i> for J2SE_14 (JDK 1.4.0 or 1.4.1),
-<i>'5'</i> for J2SE_142 (JDK 1.4.2), <i>'6'</i> for J2SE_15 (JDK
1.5), or 
-<i>'7'</i> for J2SE_16 (JDK 1.6).</entry>
+<entry colname="5">A code indicating what version of the JVM was running when
+this statement was captured. The code is a character that represents the release
+number plus one. For example, the code for Java SE 6 is <i>'7'</i>, and the code
+for Java SE 7 is <i>'8'</i>.</entry>
 </row>
 <row>
 <entry colname="1">OS_IDENTIFIER</entry>

Modified: db/derby/docs/trunk/src/tools/ctools1003034.dita
URL: http://svn.apache.org/viewvc/db/derby/docs/trunk/src/tools/ctools1003034.dita?rev=1398312&r1=1398311&r2=1398312&view=diff
==============================================================================
--- db/derby/docs/trunk/src/tools/ctools1003034.dita (original)
+++ db/derby/docs/trunk/src/tools/ctools1003034.dita Mon Oct 15 14:43:54 2012
@@ -18,12 +18,14 @@ See the License for the specific languag
 limitations under the License.
 -->
 <concept id="ctools1003034" xml:lang="en-us">
-<title>Java 2 Platform, Standard Edition, Version 1.4</title>
+<title>Java Platform, Standard Edition @MINIMUM_JDK@</title>
 <prolog><metadata>
 <keywords></keywords>
 </metadata></prolog>
 <conbody>
 <p>All <ph conref="../conrefs.dita#prod/productshortname"></ph> tools require
-the Java 2 Platform, Standard Edition, Version 1.4 or later.</p>
+Java Platform, Standard Edition (Java SE) @MINIMUM_JDK@ or later or a platform
+that is running the Connected Device Configuration/Foundation Profile
+(JSR 169).</p>
 </conbody>
 </concept>



Mime
View raw message